## postgresql-8.4 8.4.22

=== contrib/uuid-ossp/Makefile ===
# $PostgreSQL: pgsql/contrib/uuid-ossp/Makefile,v 1.4 2007/11/13 00:13:19 tgl Exp $

MODULE_big = uuid-ossp
OBJS = uuid-ossp.o
DATA_built = uuid-ossp.sql
DATA = uninstall_uuid-ossp.sql

SHLIB_LINK += $(OSSP_UUID_LIBS)

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/uuid-ossp
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== src/bin/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for src/bin (client programs)
#
# Portions Copyright (c) 1996-2009, PostgreSQL Global Development Group
# Portions Copyright (c) 1994, Regents of the University of California
#
# $PostgreSQL: pgsql/src/bin/Makefile,v 1.54 2009/01/01 17:23:53 momjian Exp $
#
#-------------------------------------------------------------------------

subdir = src/bin
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

DIRS = initdb pg_ctl pg_dump \
	psql scripts pg_config pg_controldata pg_resetxlog
ifeq ($(PORTNAME), win32)
DIRS+=pgevent
endif

all install installdirs uninstall distprep clean distclean maintainer-clean:
	@for dir in $(DIRS); do $(MAKE) -C $$dir $@ || exit; done

=== src/interfaces/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for src/interfaces
#
# Copyright (c) 1994, Regents of the University of California
#
# $PostgreSQL: pgsql/src/interfaces/Makefile,v 1.56 2008/03/18 16:24:50 petere Exp $
#
#-------------------------------------------------------------------------

subdir = src/interfaces
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

DIRS = libpq ecpg 

all install installdirs uninstall distprep clean distclean maintainer-clean:
	@for dir in $(DIRS); do $(MAKE) -C $$dir $@ || exit; done

=== src/tutorial/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile--
#    Makefile for tutorial
#
# By default, this builds against an existing PostgreSQL installation
# (the one identified by whichever pg_config is first in your path).
# Within a configured source tree, you can say "gmake NO_PGXS=1 all"
# to build using the surrounding source tree.
#
# IDENTIFICATION
#    $PostgreSQL: pgsql/src/tutorial/Makefile,v 1.21 2008/04/07 14:15:58 petere Exp $
#
#-------------------------------------------------------------------------

MODULES = complex funcs
DATA_built = advanced.sql basics.sql complex.sql funcs.sql syscat.sql

ifdef NO_PGXS
subdir = src/tutorial
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/src/makefiles/pgxs.mk
else
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
endif

%.sql: %.source
	rm -f $@; \
	C=`pwd`; \
	sed -e "s:_OBJWD_:$$C:g" < $< > $@

=== src/backend/commands/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile--
#    Makefile for backend/commands
#
# IDENTIFICATION
#    $PostgreSQL: pgsql/src/backend/commands/Makefile,v 1.39 2008/12/19 16:25:17 petere Exp $
#
#-------------------------------------------------------------------------

subdir = src/backend/commands
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

OBJS = aggregatecmds.o alter.o analyze.o async.o cluster.o comment.o  \
	conversioncmds.o copy.o \
	dbcommands.o define.o discard.o explain.o foreigncmds.o functioncmds.o \
	indexcmds.o lockcmds.o operatorcmds.o opclasscmds.o \
	portalcmds.o prepare.o proclang.o \
	schemacmds.o sequence.o tablecmds.o tablespace.o trigger.o \
	tsearchcmds.o typecmds.o user.o vacuum.o vacuumlazy.o \
	variable.o view.o

include $(top_srcdir)/src/backend/common.mk

=== src/backend/foreign/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile--
#    Makefile for foreign
#
# IDENTIFICATION
#    $PostgreSQL: pgsql/src/backend/foreign/Makefile,v 1.2 2009/02/24 10:06:32 petere Exp $
#
#-------------------------------------------------------------------------

subdir = src/backend/foreign
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

OBJS= foreign.o

include $(top_srcdir)/src/backend/common.mk

=== src/backend/lib/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile--
#    Makefile for lib (miscellaneous stuff)
#
# IDENTIFICATION
#    $PostgreSQL: pgsql/src/backend/lib/Makefile,v 1.21 2008/02/19 10:30:07 petere Exp $
#
#-------------------------------------------------------------------------

subdir = src/backend/lib
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

OBJS = dllist.o stringinfo.o

include $(top_srcdir)/src/backend/common.mk

=== src/backend/tcop/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile--
#    Makefile for tcop
#
# IDENTIFICATION
#    $PostgreSQL: pgsql/src/backend/tcop/Makefile,v 1.29 2008/02/19 10:30:08 petere Exp $
#
#-------------------------------------------------------------------------

subdir = src/backend/tcop
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

OBJS= dest.o fastpath.o postgres.o pquery.o utility.o

ifneq (,$(filter $(PORTNAME),cygwin win32))
override CPPFLAGS += -DWIN32_STACK_RLIMIT=$(WIN32_STACK_RLIMIT)
endif

include $(top_srcdir)/src/backend/common.mk

=== src/backend/tsearch/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for backend/tsearch
#
# Copyright (c) 2006-2009, PostgreSQL Global Development Group
#
# $PostgreSQL: pgsql/src/backend/tsearch/Makefile,v 1.9 2009/01/01 17:23:48 momjian Exp $
#
#-------------------------------------------------------------------------
subdir = src/backend/tsearch
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

DICTDIR=tsearch_data

DICTFILES=synonym_sample.syn thesaurus_sample.ths hunspell_sample.affix \
	ispell_sample.affix ispell_sample.dict

OBJS = ts_locale.o ts_parse.o wparser.o wparser_def.o dict.o \
	dict_simple.o dict_synonym.o dict_thesaurus.o \
	dict_ispell.o regis.o spell.o \
	to_tsany.o ts_selfuncs.o ts_typanalyze.o ts_utils.o

include $(top_srcdir)/src/backend/common.mk

.PHONY: install-data
install-data: $(DICTFILES) installdirs
	for i in $(DICTFILES); \
		do $(INSTALL_DATA) $(srcdir)/$$i '$(DESTDIR)$(datadir)/$(DICTDIR)/'$$i || exit; \
	done

installdirs:
	$(mkinstalldirs) '$(DESTDIR)$(datadir)' '$(DESTDIR)$(datadir)/$(DICTDIR)'

.PHONY: uninstall-data
uninstall-data:
	for i in $(DICTFILES); \
		do rm -rf '$(DESTDIR)$(datadir)/$(DICTDIR)/'$$i || exit; \
	done

=== src/interfaces/libpq/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for src/interfaces/libpq library
#
# Portions Copyright (c) 1996-2009, PostgreSQL Global Development Group
# Portions Copyright (c) 1994, Regents of the University of California
#
# $PostgreSQL: pgsql/src/interfaces/libpq/Makefile,v 1.173 2009/01/05 09:27:19 petere Exp $
#
#-------------------------------------------------------------------------

subdir = src/interfaces/libpq
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global


# shared library parameters
NAME= pq
SO_MAJOR_VERSION= 5
SO_MINOR_VERSION= 2

override CPPFLAGS :=  -DFRONTEND -DUNSAFE_STAT_OK -I$(srcdir) $(CPPFLAGS) -I$(top_builddir)/src/port -I$(top_srcdir)/src/port
ifneq ($(PORTNAME), win32)
override CFLAGS += $(PTHREAD_CFLAGS)
endif

# Need to recompile any libpgport object files because we need these
# object files to use the same compile flags as libpq.  If we used
# the object files from libpgport, this would not be true on all
# platforms.
LIBS := $(LIBS:-lpgport=)

OBJS=	fe-auth.o fe-connect.o fe-exec.o fe-misc.o fe-print.o fe-lobj.o \
	fe-protocol2.o fe-protocol3.o pqexpbuffer.o pqsignal.o fe-secure.o \
	libpq-events.o \
	md5.o ip.o wchar.o encnames.o noblock.o pgstrcasecmp.o thread.o \
	$(filter crypt.o getaddrinfo.o inet_aton.o open.o snprintf.o strerror.o strlcpy.o win32error.o, $(LIBOBJS))

ifeq ($(PORTNAME), cygwin)
override shlib = cyg$(NAME)$(DLSUFFIX)
endif

ifeq ($(PORTNAME), win32)
OBJS += win32.o pgsleep.o libpqrc.o

libpqrc.o: libpq.rc
	$(WINDRES) -i $< -o $@

ifeq ($(enable_thread_safety), yes)
OBJS += pthread-win32.o
endif
endif


# Add libraries that libpq depends (or might depend) on into the
# shared library link.  (The order in which you list them here doesn't
# matter.)
ifneq ($(PORTNAME), win32)
SHLIB_LINK += $(filter -lcrypt -ldes -lcom_err -lcrypto -lk5crypto -lkrb5 -lgssapi_krb5 -lgss -lgssapi -lssl -lsocket -lnsl -lresolv -lintl, $(LIBS)) $(LDAP_LIBS_FE) $(PTHREAD_LIBS)
else
SHLIB_LINK += $(filter -lcrypt -ldes -lcom_err -lcrypto -lk5crypto -lkrb5 -lgssapi32 -lssl -lsocket -lnsl -lresolv -lintl $(PTHREAD_LIBS), $(LIBS)) $(LDAP_LIBS_FE)
endif
ifeq ($(PORTNAME), win32)
SHLIB_LINK += -lshfolder -lwsock32 -lws2_32 -lsecur32 $(filter -leay32 -lssleay32 -lcomerr32 -lkrb5_32, $(LIBS))
endif

SHLIB_EXPORTS = exports.txt

all: all-lib

# Shared library stuff
include $(top_srcdir)/src/Makefile.shlib
backend_src = $(top_srcdir)/src/backend


# We use several backend modules verbatim, but since we need to
# compile with appropriate options to build a shared lib, we can't
# necessarily use the same object files as the backend uses. Instead,
# symlink the source files in here and build our own object file.
# For port modules, this only happens if configure decides the module
# is needed (see filter hack in OBJS, above).

crypt.c getaddrinfo.c inet_aton.c noblock.c open.c pgstrcasecmp.c snprintf.c strerror.c strlcpy.c thread.c win32error.c pgsleep.c: % : $(top_srcdir)/src/port/%
	rm -f $@ && $(LN_S) $< .

md5.c ip.c: % : $(backend_src)/libpq/%
	rm -f $@ && $(LN_S) $< .

encnames.c wchar.c : % : $(backend_src)/utils/mb/%
	rm -f $@ && $(LN_S) $< .


distprep: $(srcdir)/libpq-dist.rc

libpq.rc $(srcdir)/libpq-dist.rc: libpq.rc.in
	sed -e 's/\(VERSION.*\),0 *$$/\1,'`date '+%y%j' | sed 's/^0*//'`'/' $< >$@

# Depend on Makefile.global to force rebuild on re-run of configure.
# (But libpq-dist.rc is shipped in the distribution for shell-less
# installations and is only updated by distprep.)
libpq.rc: $(top_builddir)/src/Makefile.global

fe-connect.o: fe-connect.c $(top_builddir)/src/port/pg_config_paths.h

$(top_builddir)/src/port/pg_config_paths.h:
	$(MAKE) -C $(top_builddir)/src/port pg_config_paths.h

install: all installdirs install-lib
	$(INSTALL_DATA) $(srcdir)/libpq-fe.h '$(DESTDIR)$(includedir)'
	$(INSTALL_DATA) $(srcdir)/libpq-events.h '$(DESTDIR)$(includedir)'
	$(INSTALL_DATA) $(srcdir)/libpq-int.h '$(DESTDIR)$(includedir_internal)'
	$(INSTALL_DATA) $(srcdir)/pqexpbuffer.h '$(DESTDIR)$(includedir_internal)'
	$(INSTALL_DATA) $(srcdir)/pg_service.conf.sample '$(DESTDIR)$(datadir)/pg_service.conf.sample'
ifneq (,$(findstring $(PORTNAME), win32 cygwin))
	$(INSTALL_DATA) $(shlib) '$(DESTDIR)$(bindir)/$(shlib)'
endif

installdirs: installdirs-lib
	$(mkinstalldirs) '$(DESTDIR)$(includedir)' '$(DESTDIR)$(includedir_internal)'
ifneq (,$(findstring $(PORTNAME), win32 cygwin))
	$(mkinstalldirs) '$(DESTDIR)$(bindir)'
endif

uninstall: uninstall-lib
	rm -f '$(DESTDIR)$(includedir)/libpq-fe.h'
	rm -f '$(DESTDIR)$(includedir)/libpq-events.h'
	rm -f '$(DESTDIR)$(includedir_internal)/libpq-int.h'
	rm -f '$(DESTDIR)$(includedir_internal)/pqexpbuffer.h'
	rm -f '$(DESTDIR)$(datadir)/pg_service.conf.sample'
ifneq (,$(findstring $(PORTNAME), win32 cygwin))
	rm -f '$(DESTDIR)$(bindir)/$(shlib)'
endif

clean distclean: clean-lib
	rm -f $(OBJS) pg_config_paths.h crypt.c getaddrinfo.c inet_aton.c noblock.c open.c pgstrcasecmp.c snprintf.c strerror.c strlcpy.c thread.c md5.c ip.c encnames.c wchar.c win32error.c pgsleep.c pthread.h libpq.rc
# Might be left over from a Win32 client-only build
	rm -f pg_config_paths.h

maintainer-clean: distclean maintainer-clean-lib
	rm -f $(srcdir)/libpq-dist.rc

=== src/test/examples/Makefile ===
#
# Makefile for example programs
#

subdir = src/test/examples
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

override CPPFLAGS := -I$(libpq_srcdir) $(CPPFLAGS)
override LDLIBS := $(libpq_pgport) $(LDLIBS)


PROGS = testlibpq testlibpq2 testlibpq3 testlibpq4 testlo

all: $(PROGS)

clean: 
	rm -f $(PROGS)

=== src/backend/storage/file/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile--
#    Makefile for storage/file
#
# IDENTIFICATION
#    $PostgreSQL: pgsql/src/backend/storage/file/Makefile,v 1.13.2.1 2010/07/02 17:03:38 rhaas Exp $
#
#-------------------------------------------------------------------------

subdir = src/backend/storage/file
top_builddir = ../../../..
include $(top_builddir)/src/Makefile.global

OBJS = fd.o buffile.o copydir.o

include $(top_srcdir)/src/backend/common.mk

## postgresql-8.4 8.4.14

=== debian/changelog ===
postgresql-8.4 (8.4.14-1.pgdg50+1) lenny-pgdg; urgency=low

  * Rebuild for lenny-pgdg (jenkins-postgresql-8.4-source-
    distribution=lenny-7, bzr revision 233)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Mon, 22 Oct 2012 10:02:17 +0200

postgresql-8.4 (8.4.14-1.pgdg+1) sid-pgdg; urgency=low

  * New upstream security/bug fix release:
     * Fix planner's assignment of executor parameters, and fix executor's
       rescan logic for CTE plan nodes (Tom Lane)
       These errors could result in wrong answers from queries that scan
       the same WITH subquery multiple times.
     * Improve page-splitting decisions in GiST indexes (Alexander
       Korotkov, Robert Haas, Tom Lane)
       Multi-column GiST indexes might suffer unexpected bloat due to this
       error.
     * Fix cascading privilege revoke to stop if privileges are still held
       (Tom Lane)
       If we revoke a grant option from some role "X", but "X" still holds
       that option via a grant from someone else, we should not
       recursively revoke the corresponding privilege from role(s) "Y"
       that "X" had granted it to.
     * Fix handling of SIGFPE when PL/Perl is in use (Andres Freund)
       Perl resets the process's SIGFPE handler to SIG_IGN, which could
       result in crashes later on. Restore the normal Postgres signal
       handler after initializing PL/Perl.
     * Prevent PL/Perl from crashing if a recursive PL/Perl function is
       redefined while being executed (Tom Lane)
     * Work around possible misoptimization in PL/Perl (Tom Lane)
       Some Linux distributions contain an incorrect version of
       "pthread.h" that results in incorrect compiled code in PL/Perl,
       leading to crashes if a PL/Perl function calls another one that
       throws an error.
     * Update time zone data files to tzdata release 2012f for DST law
       changes in Fiji

 -- Christoph Berg <myon@debian.org>  Sun, 30 Sep 2012 22:40:41 +0200

postgresql-8.4 (8.4.13-1.pgdg+2) pgdg; urgency=low

  * Disable python3 build.
  * Merge from 9.1:
  * debian/rules: Re-enable hardening functions (regression from 9.1.3-2 when
    hardening-wrapper is not installed). Use "hardening=all", but disable
    "pie" (as that's not compatible with -fPIC) and add -pie to CFLAGS
    explicitly. Also drop the explicit "-Wl,-z,now" linker option, as this is
    now implied with "all". (LP: #1039618)

 -- Martin Pitt <mpitt@debian.org>  Wed, 22 Aug 2012 16:01:05 +0200

postgresql-8.4 (8.4.13-1.pgdg+1) sid-pgdg; urgency=low

  * New upstream security/bug fix release:
     * Prevent access to external files/URLs via XML entity references
       (Noah Misch, Tom Lane)
       xml_parse() would attempt to fetch external files or URLs as needed
       to resolve DTD and entity references in an XML value, thus allowing
       unprivileged database users to attempt to fetch data with the
       privileges of the database server. While the external data wouldn't
       get returned directly to the user, portions of it could be exposed
       in error messages if the data didn't parse as valid XML; and in any
       case the mere ability to check existence of a file might be useful
       to an attacker. (CVE-2012-3489)
     * Prevent access to external files/URLs via "contrib/xml2"'s
       xslt_process() (Peter Eisentraut)
       libxslt offers the ability to read and write both files and URLs
       through stylesheet commands, thus allowing unprivileged database
       users to both read and write data with the privileges of the
       database server. Disable that through proper use of libxslt's
       security options. (CVE-2012-3488)
       Also, remove xslt_process()'s ability to fetch documents and
       stylesheets from external files/URLs. While this was a documented
       "feature", it was long regarded as a bad idea. The fix for
       CVE-2012-3489 broke that capability, and rather than expend effort
       on trying to fix it, we're just going to summarily remove it.
     * Prevent too-early recycling of btree index pages (Noah Misch)
       When we allowed read-only transactions to skip assigning XIDs, we
       introduced the possibility that a deleted btree page could be
       recycled while a read-only transaction was still in flight to it.
       This would result in incorrect index search results. The
       probability of such an error occurring in the field seems very low
       because of the timing requirements, but nonetheless it should be
       fixed.
     * Fix crash-safety bug with newly-created-or-reset sequences (Tom
       Lane)
       If "ALTER SEQUENCE" was executed on a freshly created or reset
       sequence, and then precisely one nextval() call was made on it, and
       then the server crashed, WAL replay would restore the sequence to a
       state in which it appeared that no nextval() had been done, thus
       allowing the first sequence value to be returned again by the next
       nextval() call. In particular this could manifest for serial
       columns, since creation of a serial column's sequence includes an
       "ALTER SEQUENCE OWNED BY" step.
     * Ensure the "backup_label" file is fsync'd after pg_start_backup()
       (Dave Kerr)
     * Back-patch 9.1 improvement to compress the fsync request queue
       (Robert Haas)
       This improves performance during checkpoints. The 9.1 change has
       now seen enough field testing to seem safe to back-patch.
     * Only allow autovacuum to be auto-canceled by a directly blocked
       process (Tom Lane)
       The original coding could allow inconsistent behavior in some
       cases; in particular, an autovacuum could get canceled after less
       than deadlock_timeout grace period.
     * Improve logging of autovacuum cancels (Robert Haas)
     * Fix log collector so that log_truncate_on_rotation works during the
       very first log rotation after server start (Tom Lane)
     * Fix WITH attached to a nested set operation


=== debian/control ===
Source: postgresql-8.4
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Martin Pitt <mpitt@debian.org>, Peter Eisentraut <petere@debian.org>, Christoph Berg <myon@debian.org>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 8~),
 dpkg-dev (>= 1.16.1~) | hardening-wrapper,
 perl (>= 5.8),
 libperl-dev,
 tcl8.5-dev,
 libedit-dev,
 libssl-dev,
 zlib1g-dev | libz-dev,
 libpam0g-dev | libpam-dev,
 libxml2-dev,
 libkrb5-dev,
 libldap2-dev,
 libxslt1-dev,
 libossp-uuid-dev,
 python-dev,
 bison,
 flex,
 openjade,
 docbook-dsssl,
 docbook-xsl,
 opensp,
 xsltproc,
 gettext
Homepage: http://www.postgresql.org/
Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-postgresql/postgresql-8.4/sid-pgapt/
Vcs-Bzr: http://bzr.debian.org/bzr/pkg-postgresql/postgresql-8.4/sid-pgapt/

Package: libpq-dev
Architecture: any
Section: 8.4/libdevel
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libpq5 (= ${binary:Version}),
 libssl-dev,
 libkrb5-dev,
 comerr-dev
Suggests: postgresql-doc-8.4
Description: header files for libpq5 (PostgreSQL library)
 Header files and static library for compiling C programs to link
 with the libpq library in order to communicate with a PostgreSQL
 database backend.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libpq5
Architecture: any
Section: 8.4/libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL C client library
 libpq is a C library that enables user programs to communicate with
 the PostgreSQL database server.  The server can be on another machine
 and accessed through TCP/IP.  This version of libpq is compatible
 with servers from PostgreSQL 8.2 or later.
 .
 This package contains the run-time library, needed by packages using
 libpq.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libecpg6
Architecture: any
Section: 8.4/libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: run-time library for ECPG programs
 The libecpg shared library is used by programs built with ECPG
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libecpg-dev
Architecture: any
Section: 8.4/libdevel
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libpq-dev,
 libecpg6 (= ${binary:Version}),
 libecpg-compat3 (= ${binary:Version}),
 libpgtypes3 (= ${binary:Version})
Description: development files for ECPG (Embedded PostgreSQL for C)
 This package contains the necessary files to build ECPG (Embedded
 PostgreSQL for C) programs.  It includes the development libraries
 and the preprocessor program ecpg.
 .
 PostgreSQL is an object-relational SQL database management system.
 .
 Install this package if you want to write C programs with SQL statements
 embedded in them (rather than run by an external process).

Package: libecpg-compat3
Architecture: any
Section: 8.4/libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: older version of run-time library for ECPG programs
 The libecpg_compat shared library is used by programs built with ecpg.
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libpgtypes3
Architecture: any
Section: 8.4/libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: shared library libpgtypes for PostgreSQL 8.4
 The libpgtypes shared library is used by programs built with ecpg.
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-8.4
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 postgresql-client-8.4,
 postgresql-common (>= 130~),
 tzdata,
 ssl-cert,
 locales
Suggests: oidentd | ident-server, locales-all
Breaks: postgresql-plpython-8.4 (<< ${binary:Version})
Description: object-relational SQL database, version 8.4 server
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.
 .
 This package provides the database server for PostgreSQL 8.4. Servers
 for other major release versions can be installed simultaneously and
 are coordinated by the postgresql-common package. A package providing
 ident-server is needed if you want to authenticate remote connections
 with identd.

Package: postgresql-8.4-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, postgresql-8.4 (= ${binary:Version})
Conflicts: postgresql-dbg, postgresql-9.1-dbg
Provides: postgresql-dbg
Description: debug symbols for postgresql-8.4
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.
 .
 This package provides detached debugging symbols for PostgreSQL 8.4.

Package: postgresql-client-8.4
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 postgresql-client-common (>= 115~)
Suggests: postgresql-8.4, postgresql-doc-8.4
Provides: postgresql-client
Breaks: postgresql-8.4 (<< ${binary:Version})
Description: front-end programs for PostgreSQL 8.4
 This package contains client and administrative programs for
 PostgreSQL: these are the interactive terminal client psql and
 programs for creating and removing users and databases.
 .
 This is the client package for PostgreSQL 8.4. If you install
 PostgreSQL 8.4 on a standalone machine, you need the server package
 postgresql-8.4, too. On a network, you can install this package on
 many client machines, while the server package may be installed on
 only one machine.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-server-dev-8.4
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libpq-dev (>= 8.4~),
 postgresql-common (>= 130~)
Description: development files for PostgreSQL 8.4 server-side programming
 Header files for compiling SSI code to link into PostgreSQL's backend; for
 example, for C functions to be called from SQL.
 .
 This package also contains the Makefiles necessary for building add-on
 modules of PostgreSQL, which would otherwise have to be built in the
 PostgreSQL source-code tree.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-doc-8.4
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: documentation for the PostgreSQL database management system
 This package contains all README files, user manual, and examples for
 PostgreSQL 8.4. The manual is in HTML format.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-contrib-8.4
Architecture: any
Depends: postgresql-8.4 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
 postgresql-common (>= 130~)
Suggests: libdbd-pg-perl
Description: additional facilities for PostgreSQL
 The PostgreSQL contrib package provides several additional features
 for the PostgreSQL database. This version is built to work with the
 server package postgresql-8.4.  contrib often serves as a testbed for
 features before they are adopted into PostgreSQL proper:
 .
  adminpack      - File and log manipulation routines, used by pgAdmin
  btree_gist     - B-Tree indexing using GiST (Generalised Search Tree)
  chkpass        - An auto-encrypted password datatype
  cube           - Multidimensional-cube datatype (GiST indexing example)
  dblink         - Functions to return results from a remote database
  earthdistance  - Operator for computing the distance (in miles) between
                   two points on the earth's surface
  fuzzystrmatch  - Levenshtein, metaphone, and soundex fuzzy string matching
  hstore         - Store (key, value) pairs
  intagg         - Integer aggregator/enumerator
  _int           - Index support for arrays of int4, using GiST (benchmark
                   needs the libdbd-pg-perl package)
  isn            - type extensions for ISBN, ISSN, ISMN, EAN13 product numbers
  lo             - Large Object maintenance
  ltree          - Tree-like data structures
  oid2name       - Maps OIDs to table names
  pageinspect    - Inspection of database pages
  pg_buffercache - Real time queries on the shared buffer cache
  pg_freespacemap- Displays the contents of the free space map (FSM)
  pg_trgm        - Determine the similarity of text based on trigram matching
  pg_standby     - Create a warm stand-by server
  pgbench        - TPC-B like benchmark
  pgcrypto       - Cryptographic functions
  pgrowlocks     - A function to return row locking information
  pgstattuple    - Returns the percentage of dead tuples in a table; this
                   indicates whether a vacuum is required.
  seg            - Confidence-interval datatype (GiST indexing example)
  spi            - PostgreSQL Server Programming Interface; 4 examples of
                   its use:
                   autoinc    - A function for implementing AUTOINCREMENT/
                                IDENTITY
                   insert_username - function for inserting user names
                   moddatetime - Update modification timestamps
                   refint     - Functions for implementing referential
                                integrity (foreign keys).  Note that this is
                                now superseded by built-in referential
                                integrity.
                   timetravel - Re-implements in user code the time travel
                                feature that was removed in 6.3.
  tablefunc      - examples of functions returning tables
  uuid-ossp      - UUID generation functions
  vacuumlo       - Remove orphaned large objects
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-plperl-8.4
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 postgresql-8.4 (= ${binary:Version}),
 perl
Provides: postgresql-plperl
Description: PL/Perl procedural language for PostgreSQL 8.4
 PL/Perl enables an SQL developer to write procedural language functions
 for PostgreSQL 8.4 in Perl.  You need this package if you have any
 PostgreSQL 8.4 functions that use the languages plperl or plperlu.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-plpython-8.4
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 postgresql-8.4 (= ${binary:Version})
Provides: postgresql-plpython
Description: PL/Python procedural language for PostgreSQL 8.4
 PL/Python enables an SQL developer to write procedural language functions
 for PostgreSQL 8.4 in Python.  You need this package if you have any
 PostgreSQL 8.4 functions that use the languages plpython or plpythonu.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-pltcl-8.4
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 postgresql-8.4 (= ${binary:Version})
Provides: postgresql-pltcl
Description: PL/Tcl procedural language for PostgreSQL 8.4
 PL/Tcl enables an SQL developer to write procedural language functions
 for PostgreSQL 8.4 in Tcl.  You need this package if you have any
 PostgreSQL 8.4 functions that use the languages pltcl or pltclu.
 .
 PostgreSQL is an object-relational SQL database management system.

=== debian/rules ===
#!/usr/bin/make -f
TCL_VER := 8.5
MAJOR_VER := 8.4

# support both hardening-wrapper (for backports) and dpkg-buildflags
export DEB_BUILD_HARDENING = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
LDFLAGS+= -Wl,--as-needed
CFLAGS+= -fPIC -pie

# When protecting the postmaster with oom_adj=-17, allow the OOM killer to slay
# the backends (http://archives.postgresql.org/pgsql-hackers/2010-01/msg00170.php)
ifeq ($(shell uname -s),Linux)
CFLAGS+= -DLINUX_OOM_ADJ=0
endif

ifneq ($(findstring $(DEB_BUILD_ARCH), sparc alpha),)
# sparc and alpha's gcc currently miscompiles; see
# http://lists.debian.org/debian-alpha/2007/11/msg00025.html
    CFLAGS+=-O1
endif

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

COMMON_CONFIGURE_FLAGS= \
  --mandir=/usr/share/postgresql/$(MAJOR_VER)/man \
  --docdir=/usr/share/doc/postgresql-doc-$(MAJOR_VER) \
  --sysconfdir=/etc/postgresql-common \
  --datarootdir=/usr/share/ \
  --datadir=/usr/share/postgresql/$(MAJOR_VER) \
  --bindir=/usr/lib/postgresql/$(MAJOR_VER)/bin \
  --libdir=/usr/lib/ \
  --libexecdir=/usr/lib/postgresql/ \
  --includedir=/usr/include/postgresql/ \
  --enable-nls \
  --enable-integer-datetimes \
  --enable-thread-safety \
  --enable-debug \
  --disable-rpath \
  --with-ossp-uuid \
  --with-gnu-ld \
  --with-pgport=5432 \
  --with-system-tzdata=/usr/share/zoneinfo \
  CFLAGS='$(CFLAGS)' \
  LDFLAGS='$(LDFLAGS)'

# build should fail on test suite failures on all arches
TESTSUITE_FAIL_CMD=exit 1


%:
	dh $@

override_dh_auto_configure: stamp/configure-build #stamp/configure-build-py3

stamp/configure-build:
	mkdir -p stamp build
	cd build && ../configure \
           --with-tcl \
           --with-perl \
           --with-python \
           --with-pam \
           --with-krb5 \
           --with-gssapi \
           --with-openssl \
           --with-libxml \
           --with-libxslt \
           --with-ldap \
           --with-tclconfig=/usr/lib/tcl$(TCL_VER) \
           --with-tkconfig=/usr/lib/tk$(TCL_VER) \
           --with-includes=/usr/include/tcl$(TCL_VER) \
           PYTHON=/usr/bin/python \
           $(COMMON_CONFIGURE_FLAGS)
	touch "$@"
	
stamp/configure-build-py3:
	mkdir build-py3
	cd build-py3 && ../configure \
           --with-python \
           PYTHON=/usr/bin/python3 \
           $(COMMON_CONFIGURE_FLAGS)
	touch "$@"

override_dh_auto_build: stamp/build #stamp/build-py3

stamp/build: stamp/configure-build
	cd build && $(MAKE)

	# generate POT files for translators
	find -name nls.mk -exec sh -c "make -C \$$(dirname {}) init-po" \;

	# build tutorial stuff
	make -C build/src/tutorial NO_PGXS=1

	touch "$@"

stamp/build-py3: stamp/configure-build-py3
	cd build-py3 && $(MAKE)
	touch "$@"

override_dh_auto_install:
	#make -C build-py3 install DESTDIR=$(CURDIR)/debian/tmp
	make -C build install DESTDIR=$(CURDIR)/debian/tmp
	# compress manpages
	gzip -9n $(CURDIR)/debian/tmp/usr/share/postgresql/*/man/man*/*.[137]

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/postgresql/$(MAJOR_VER)

override_dh_auto_clean:
	rm -rf build* stamp

override_dh_installchangelogs:
	dh_installchangelogs HISTORY

override_dh_compress:
	dh_compress -X.source -X.c

override_dh_install:
	dh_install --fail-missing

	# these get installed into the individual -/l* packages; -f because it
	# does not exist for an -A build
	rm -f debian/postgresql-contrib-$(MAJOR_VER)/usr/share/postgresql/$(MAJOR_VER)/extension/pl*

	if [ -d debian/postgresql-doc-$(MAJOR_VER) ]; then \
		install src/tutorial/*.c src/tutorial/*.source src/tutorial/Makefile src/tutorial/README debian/postgresql-doc-$(MAJOR_VER)/usr/share/doc/postgresql-doc-$(MAJOR_VER)/tutorial; \
	fi

override_dh_auto_test:
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# patch away the "don't execute as root" check for the test
	# suite; doing it here will ensure that the actual debs have
	# the check.
	set -e; \
	patch --no-backup-if-mismatch -p1 < debian/patches/disable-root-check.patch; \
	patch --no-backup-if-mismatch -p1 < debian/patches/pg_regress-in-tmp.patch; \
	make -C build/src/test/regress bigcheck || fail=1; \
	patch --no-backup-if-mismatch -Rp1 < debian/patches/pg_regress-in-tmp.patch; \
	patch --no-backup-if-mismatch -Rp1 < debian/patches/disable-root-check.patch; \
	if [ -n "$$fail" ]; then \
	    for l in regression.diffs log/initdb.log log/postmaster.log; do \
	    	if [ -e build/src/test/regress/$$l ]; then \
		    echo "********* $$l *******"; \
		    cat build/src/test/regress/$$l; \
		fi; \
	    done; \
	    $(TESTSUITE_FAIL_CMD); \
	fi
endif

override_dh_strip:
	dh_strip --dbg-package=postgresql-$(MAJOR_VER)-dbg

# run tests in contrib in temporary test installations, using programs
# from local tree
contrib-check:
	set -e; cd build/contrib; \
	for d in *; do \
	    [ -d $$d/sql ] || continue; \
	    echo "==============  Running tests in $$d"; \
	    (cd $$d; \
	    if ! ../../src/test/regress/pg_regress --top-builddir=../.. --temp-install=tmp_check --dbname=contrib_regression `cd sql; ls *.sql | sed 's/.sql$$//'`; then \
		 cat regression.diffs; \
	    fi); \
	done

# run tests in contrib in temporary test installation, using programs
# from system installation
contrib-installcheck:
	# set up temporary db
	rm -rf tmp_data
	mkdir tmp_data
	/usr/lib/postgresql/$(MAJOR_VER)/bin/initdb -D tmp_data
	/usr/lib/postgresql/$(MAJOR_VER)/bin/pg_ctl -D tmp_data -l tmp_data/postgres.log -o '-k /tmp' start
	# wait until it started up
	while !/usr/lib/postgresql/$(MAJOR_VER)/bin/psql -h /tmp -l >/dev/null 2>&1; do sleep 1; done
	sleep 1
	while !/usr/lib/postgresql/$(MAJOR_VER)/bin/psql -h /tmp -l >/dev/null 2>&1; do sleep 1; done
	# run the tests
	-cd build/contrib; make installcheck
	/usr/lib/postgresql/$(MAJOR_VER)/bin/pg_ctl -D tmp_data stop
	# find and print the regression diffs
	find build/contrib/ -name regression.diffs -exec cat '{}' \;

=== debian/watch ===
version=3
opts=uversionmangle=s/alpha/~alpha/;s/beta/~beta/;s/rc/~rc/ \
ftp://ftp.postgresql.org/pub/source/v(8\.4.*)/postgresql-(8\.4.*).tar.bz2

## postgresql-8.4 8.4.21

=== debian/changelog ===
postgresql-8.4 (8.4.21-1.pgdg+1) sid-pgdg; urgency=low

  * Rebuild for sid-pgdg (jenkins-postgresql-8.4-source-
    distribution=sid-23, bzr revision 247)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Tue, 18 Mar 2014 23:50:19 +0100

postgresql-8.4 (8.4.21-1.pgdg+1) sid-pgdg; urgency=medium

  * New upstream bugfix release.
  * Build with tcl8.6 where available (>= Jessie, >= trusty).
  * Compile with -fno-omit-frame-pointer on amd64 to facilitate hierarchical
    profile generation. (Closes: #730134)
  * Remove obsolete configure option --with-tkconfig.

 -- Christoph Berg <myon@debian.org>  Tue, 18 Mar 2014 23:43:35 +0100

postgresql-8.4 (8.4.20-1.pgdg+1) sid-pgdg; urgency=medium

  * New upstream security/bugfix release.

    + Shore up GRANT ... WITH ADMIN OPTION restrictions (Noah Misch)

      Granting a role without ADMIN OPTION is supposed to prevent the grantee
      from adding or removing members from the granted role, but this
      restriction was easily bypassed by doing SET ROLE first. The security
      impact is mostly that a role member can revoke the access of others,
      contrary to the wishes of his grantor. Unapproved role member additions
      are a lesser concern, since an uncooperative role member could provide
      most of his rights to others anyway by creating views or SECURITY
      DEFINER functions. (CVE-2014-0060)

    + Prevent privilege escalation via manual calls to PL validator functions
      (Andres Freund)

      The primary role of PL validator functions is to be called implicitly
      during CREATE FUNCTION, but they are also normal SQL functions that a
      user can call explicitly. Calling a validator on a function actually
      written in some other language was not checked for and could be
      exploited for privilege-escalation purposes. The fix involves adding a
      call to a privilege-checking function in each validator function.
      Non-core procedural languages will also need to make this change to
      their own validator functions, if any. (CVE-2014-0061)

    + Avoid multiple name lookups during table and index DDL (Robert Haas,
      Andres Freund)

      If the name lookups come to different conclusions due to concurrent
      activity, we might perform some parts of the DDL on a different table
      than other parts. At least in the case of CREATE INDEX, this can be used
      to cause the permissions checks to be performed against a different
      table than the index creation, allowing for a privilege escalation
      attack. (CVE-2014-0062)

    + Prevent buffer overrun with long datetime strings (Noah Misch)

      The MAXDATELEN constant was too small for the longest possible value of
      type interval, allowing a buffer overrun in interval_out(). Although the
      datetime input functions were more careful about avoiding buffer
      overrun, the limit was short enough to cause them to reject some valid
      inputs, such as input containing a very long timezone name. The ecpg
      library contained these vulnerabilities along with some of its own.
      (CVE-2014-0063)

    + Prevent buffer overrun due to integer overflow in size calculations
      (Noah Misch, Heikki Linnakangas)

      Several functions, mostly type input functions, calculated an allocation
      size without checking for overflow. If overflow did occur, a too-small
      buffer would be allocated and then written past. (CVE-2014-0064)

    + Prevent overruns of fixed-size buffers (Peter Eisentraut, Jozef Mlich)

      Use strlcpy() and related functions to provide a clear guarantee that
      fixed-size buffers are not overrun. Unlike the preceding items, it is
      unclear whether these cases really represent live issues, since in most
      cases there appear to be previous constraints on the size of the input
      string. Nonetheless it seems prudent to silence all Coverity warnings of
      this type. (CVE-2014-0065)

    + Avoid crashing if crypt() returns NULL (Honza Horak, Bruce Momjian)

      There are relatively few scenarios in which crypt() could return NULL,
      but contrib/chkpass would crash if it did. One practical case in which
      this could be an issue is if libc is configured to refuse to execute
      unapproved hashing algorithms (e.g., "FIPS mode"). (CVE-2014-0066)

    + Document risks of make check in the regression testing instructions
      (Noah Misch, Tom Lane)

      Since the temporary server started by make check uses "trust"
      authentication, another user on the same machine could connect to it as
      database superuser, and then potentially exploit the privileges of the
      operating-system user who started the tests. A future release will
      probably incorporate changes in the testing procedure to prevent this
      risk, but some public discussion is needed first. So for the moment,
      just warn people against using make check when there are untrusted users
      on the same machine. (CVE-2014-0067)

  * The upstream tarballs no longer contain a plain HISTORY file, but point to
    the html documentation. Note the location of these files in our
    changelog.gz file.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 19 Feb 2014 12:06:21 +0100

postgresql-8.4 (8.4.19-1.pgdg+1) sid-pgdg; urgency=low

  * New upstream version.

    + Fix "VACUUM"'s tests to see whether it can update relfrozenxid
      (Andres Freund)

      In some cases "VACUUM" (either manual or autovacuum) could
      incorrectly advance a table's relfrozenxid value, allowing tuples
      to escape freezing, causing those rows to become invisible once
      2^31 transactions have elapsed. The probability of data loss is
      fairly low since multiple incorrect advancements would need to
      happen before actual loss occurs, but it's not zero. Users
      upgrading from release 8.4.8 or earlier are not affected, but all
      later versions contain the bug.


=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  dpkg-dev (>= 1.16.1~) | hardening-wrapper,
  perl (>= 5.8),
  libperl-dev,
- tcl8.5-dev,
+ tcl8.6-dev | tcl8.5-dev,
  libedit-dev,
  libssl-dev,
  zlib1g-dev | libz-dev,
@@ -28,8 +28,9 @@
  xsltproc,
  gettext
 Homepage: http://www.postgresql.org/
-Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-postgresql/postgresql-8.4/sid-pgapt/
-Vcs-Bzr: http://bzr.debian.org/bzr/pkg-postgresql/postgresql-8.4/sid-pgapt/
+Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-postgresql/postgresql-8.4/pgdg/
+Vcs-Bzr: http://bzr.debian.org/bzr/pkg-postgresql/postgresql-8.4/pgdg/
+XS-Testsuite: autopkgtest
 
 Package: libpq-dev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,9 @@
 #!/usr/bin/make -f
+ifneq ($(shell which tclsh8.6),)
+TCL_VER := 8.6
+else
 TCL_VER := 8.5
+endif
 MAJOR_VER := 8.4
 
 # support both hardening-wrapper (for backports) and dpkg-buildflags
@@ -20,6 +24,11 @@
 # sparc and alpha's gcc currently miscompiles; see
 # http://lists.debian.org/debian-alpha/2007/11/msg00025.html
     CFLAGS+=-O1
+endif
+
+# Facilitate hierarchical profile generation on amd64 (#730134)
+ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH),amd64)
+CFLAGS+= -fno-omit-frame-pointer
 endif
 
 export DPKG_GENSYMBOLS_CHECK_LEVEL=4
@@ -69,7 +78,6 @@
            --with-libxslt \
            --with-ldap \
            --with-tclconfig=/usr/lib/tcl$(TCL_VER) \
-           --with-tkconfig=/usr/lib/tk$(TCL_VER) \
            --with-includes=/usr/include/tcl$(TCL_VER) \
            PYTHON=/usr/bin/python \
            $(COMMON_CONFIGURE_FLAGS)
@@ -131,16 +139,8 @@
 
 override_dh_auto_test:
 ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	# patch away the "don't execute as root" check for the test
-	# suite; doing it here will ensure that the actual debs have
-	# the check.
 	set -e; \
-	patch --no-backup-if-mismatch -p1 < debian/patches/disable-root-check.patch; \
-	patch --no-backup-if-mismatch -p1 < debian/patches/pg_regress-in-tmp.patch; \
-	make -C build/src/test/regress bigcheck || fail=1; \
-	patch --no-backup-if-mismatch -Rp1 < debian/patches/pg_regress-in-tmp.patch; \
-	patch --no-backup-if-mismatch -Rp1 < debian/patches/disable-root-check.patch; \
-	if [ -n "$$fail" ]; then \
+	if ! make -C build/src/test/regress bigcheck EXTRA_REGRESS_OPTS="--host=/tmp --port=$(shell perl -le 'print 1024 + int(rand(64000))')"; then \
 	    for l in regression.diffs log/initdb.log log/postmaster.log; do \
 	    	if [ -e build/src/test/regress/$$l ]; then \
 		    echo "********* $$l *******"; \
